*{
    margin: 0;
    padding: 0;
}

body{
    background-color: #F5F7F8;
    font-family: 'Poppins', sans-serif;
}

/* #region ---------- EXTRAS ---------------------------------- */
    .btn-primary{
        border-radius: 5px;
        border: 1px solid #F5F7F8;
        background: linear-gradient(97deg, #43C2F0 0%, #43A3F0 28%, #4355F0 100%);
        color: white;
    }
        .btn-primary:hover{
            border: 2px solid var(--2192FF, #1B365D);
            background: #F5F7F8;
            color:#001A48;
        }

    .btn-secondary{
        border-radius: 5px;
        border: 1px solid #F5F7F8;
        color: white;
    }
        .btn-secondary:hover{
            border: 2px solid #1B365D;
            background: #F5F7F8;
        }

    .btn-tertiary{
        border-radius: 5px;
        border: 2px solid var(--2192FF, #1B365D);
        background: #F5F7F8;    
    }
        .btn-tertiary:hover{
            border: 2px solid #1B365D;
            background: #1B365D;
            color: white;
        }

    .nombre{
        font-weight: 900;
        font-size: 15px;
    }
/* #endregion */

/* #region ---------- Navbar Section ----------------------------- */
.navbar{
    height: 6vh;
    background-color: hsla(215, 55%, 24%, 0.9);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    position: fixed;    
    width: 100%;
    z-index: 100;
}
.navbar-brand {
    display: flex;
    align-items: center; 
}

.navbar-brand img {
    margin-right: 10px;
}

.navbar-toggler {
    border: none; /* Elimina el borde */
    background: none; /* Elimina el fondo */
    padding: 0; /* Ajusta el espacio interno */
    z-index: 2050; /* Asegura que el botón de menú esté por encima */
}

.navbar-toggler:focus {
    outline: none; /* Elimina el contorno de enfoque */
    box-shadow: none; /* También elimina cualquier sombra */
}

.navbar-collapse {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    border-radius: 0px 10px 0px 0px;
    border-top: 2px solid #4355F0;
    border-right: 2px solid #4355F0;
    background: rgba(245, 247, 248, 0.90);
    width: 70vw;
    z-index: 1040; /* Asegura que el menú esté encima del fondo oscuro */
    transform: translateX(-100%);
    transition: transform 0.5s ease-in-out;
}

.navbar-collapse.show {
    transform: translateX(0);
}

.navbar-nav{
    margin-top: 70px;
}

.navbar-nav .nav-link {
    color: white;
    padding: 20px 20px;
    background-color: #1B365D;
    margin-bottom: 10px;
}

/* Personaliza las líneas del icono */
.navbar-toggler-icon {
    /* filter: invert(1);  */
    width: 45px; 
    height: 30px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3E%3Cpath stroke='white' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}
/* .navbar-toggler:not(.collapsed) .navbar-toggler-icon {
    filter: invert(0) sepia(1) saturate(5) hue-rotate(0deg); 
} */
/* #endregion */

/* #region ---------- Hero Section ---------------------------- */
#hero {
    background: url('/images/infoJugador/fondoHero.png') no-repeat center center/cover; 
    top: 0;
    width: 100%;
    height: 88vh;
    padding: 0 10%; 
    display: flex;
    align-items: center;
    color: #1B365D;
    transition: all 0.7s ease-in-out;

    p {
        font-size: clamp(10px, 6vw, 5rem);
        font-weight: bold;
        line-height: 1.2;
        margin-bottom: 50px;
    }
}

.scrolled #hero {
    height: 21.5vh;
    a{
        display: none;
    }

    .resaltado{
        color: transparent;
    }
}

.resaltado {
    color: #2A5DF4;
    font-weight: 900;
}
/* #endregion */

/* #region ---------- Sports Section -------------------------- */
.sportsSection {
    background: #1b375dde;
    color: white;
    text-align: center;
    padding: 50px 0;
    background-image: url(/images/infoJugador/back.png);
    background-position: left center; 
    background-repeat: no-repeat;     
}

.sportsSection h2 {
    font-size: 1.5rem;
    margin-bottom: 20px;
}

.separadorCard{
    height: 2px;
    width: 15vw;
    background-color: white; 
    margin: 0 auto;
}

.sportsIcons {
    display: flex;
    justify-content: center;
    gap: 5vw;
    flex-wrap: wrap;
    margin: 0px 25px;
}

.sport {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 20px;
}

.sport img {
    width: 32px;
    height: 32px;
}
/* #endregion */

/* #region ---------- Info Section ---------------------------- */
.infoSection {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 130px 10%;
    background: linear-gradient(180deg, rgba(228, 230, 219, 0.20) 0%, rgba(245, 247, 248, 0.80) 100%);
    background-image: url(/images/infoJugador/back2.png);
  
}
.infoSection img {
    border-radius: 10px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
}
.info-text {
    width: 50%;
    text-align: center;
}

.info-text h2 {
    font-size: clamp(30px, 3vw , 2.2rem);
    font-weight: bold;
    margin-bottom: 10px;
}

.info-text p {
    font-size: 1.5rem;
    color: #777777;
}
/* #endregion */

/* #region ---------- Benefits Section ------------------------ */
.benefitsSection {
    padding: 60px 15vw;
    text-align: center;
    background: linear-gradient(180deg, var(--2192FF, rgba(27, 54, 93, 0.80)) 0%, rgba(245, 247, 248, 0.80) 100%);
    background-size: cover;
}

.benefitsSection h2 {
    font-size: 2rem;
    font-weight: bold;
    margin-bottom: 30px;
    background: rgba(27, 55, 93, 0.6) ; 
    color: white;
    padding: 10px 20px;
    border-radius: 4px;
    display: inline-block;
    box-shadow: 0px 0px 12px 0px var(--2192FF, #1B365D);
}

.benefits-container {
    display: flex;
    justify-content: center;
    gap: 25px;
    flex-wrap: wrap;
}

.benefit-card {
    background: rgba(245, 247, 248, 0.30);
    box-shadow: 0px 0px 12px 0px var(--2192FF, #1B365D);
    backdrop-filter: blur(15px);
    border-radius: 15px;
    padding: 20px;
    width: 300px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
}
.benefit-card:hover {
    background: rgba(24, 24, 24, 0.7);
    color: wheat;

    img{
        filter: invert(1);
    }
}

.benefit-card img {
    width: 40px;
    margin-bottom: 10px;
}

.benefit-card h3 {
    font-size: 1.2rem;
    font-weight: bold;
    margin-bottom: 10px;
}

.phoneImage {
    width: 22vw;
    margin-right: 30px;
}

.benefits-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 40px;
}
/* #endregion */

/* #region ---------- FAQ Section ----------------------------- */
#faqSection {
    padding: 80px 0;
}
.nombreSeccion{
    margin-left: 7vw;
}

.separador{
    height: 7px;
    margin-right: 75vw;
    background-color: #6175F2; /
}

.accordion-item{
    border-radius: 20px;
}

.accordion-button{
    border: 1px solid #001A48;
    box-shadow: 0px 0px 12px 0px rgba(0, 0, 0, 0.25);
    /* border-radius: 20px; */
}
/* #endregion */

/* #region ---------- Copyright Section ----------------------- */
#copyright{
    height: 5vh;
    background-color: #001A48;
    color: #f5f5f5;
    align-items: center;
    justify-content: center;
    display: flex;
    font-size: clamp(16px, 1vw, 2.5rem);
}
/* #endregion */

@media(max-width: 1500px){
    .img1{
        width: 16vw;
    }
    .img2{
        width: 20vw;
    }

    .benefitsSection {
        padding: 60px 5vw;
    }
}

@media(max-width: 1085px){
    .sportsSection {
        background-image: none
    }

    .phoneImage{
        display: none;
    }
}

/* MEDIA */
@media (max-width: 992px) {
/* #region ---------- EXTRAS ---------------------------------- */
    .btn-primary, .btn-secondary{
        font-size: 24px;
    }
/* #endregion  */
    
/* #region ---------- Navbar Section -------------------------- */
    .navbar{
        height: 6vh;
    }
/* #endregion */

/* #region ---------- Hero Section ---------------------------- */
    #hero {
        height: 100vh;
        padding: 0 5%;
        background: url('/images/infoJugador/fondoHeroMobile.png') no-repeat center center/cover;

        p {
            font-size:clamp(15px, 6vw, 5rem);
            margin-top: 140px;
        }
    }
/* #endregion */

/* #region ---------- Sports Section -------------------------- */
    .sportsSection {
        padding: 50px 0;   
    }

    .sportsIcons {
        gap: 90px;
    }
/* #endregion */

/* #region ---------- Info Section ---------------------------- */
    .infoSection{
        flex-direction: column;
        background-image: none;
    }

    .info-text{
        width: 90%;        
        margin-top: 20px;

        h2 {
            font-size: 2.2rem;
        }
    }
/* #endregion */

/* #region ---------- Benefits Section ------------------------ */
    .benefitsSection {
        padding: 60px 19%;
    }

    .benefits-container {
        gap: 20px;
    }
/* #endregion */

/* #region ---------- Copyright Section ----------------------- */
    #copyright{
        font-size: clamp(20px, 1vw, 2.5rem);
    }
/* #endregion */
}

/* MOBILE */
@media (max-width: 650px) {
/* #region ---------- EXTRAS ---------------------------------- */
    .btn-primary{
        font-size: 16px;
    }
/* #endregion */

/* #region ---------- Navbar Section -------------------------- */
    .navbar{
        height: 7vh;
    }
/* #endregion */

/* #region ---------- Hero Section ---------------------------- */
    #hero {
        height: 600px;

        p {
            margin-top: 95px;
            margin-bottom: 0;
            font-size: clamp(1rem, 7vw, 3rem);
            line-height: 1.3;
        }

        a{
            margin-top: 1rem;
        }
    }
/* #endregion */

/* #region ---------- Sports Section -------------------------  */
    .sportsSection {
        background-image: none;
    }

    .sportsSection h2 {
        margin-bottom: 10px;
    }

    .separadorCard{
        height: 1px;
        width: 65vw;
    }

    .sportsIcons {
        gap: 40px;
    }

    .sport {
        font-size: 18px;
    }

    .sport img {
        width: 26px;
        height: 26px;
    }
/* #endregion */

/* #region ---------- Info Section ----------------------- */
    .infoSection{
        flex-direction: column;
        padding: 50px 0;
        background-image: url(/images/infoJugador/back2.png);
        
    }
    .imagenesDatosCard{
        display: none;
    }

    .info-text {
        width: 80%;
    }

    .info-text h2 {
        /* font-size: 2.2rem; */
        font-size: clamp(21, 4vw, 25px);
        font-weight: bold;
        margin-bottom: 10px;
    }

    .info-text p {
        font-size: clamp(16px, 3vw, 18px);
        color: #777777;
    }
/* #endregion */

/* #region ---------- Benefits Section ------------------------ */
    .benefitsSection h2 {
        font-size: 1.5rem;
    }

    .phoneImage {
        display: none;
    }
/* #endregion */

/* #region ---------- FAQ Section ----------------------------- */
    #faqSection {
        padding: 20px 0 50px 0;

        h2{
            font-size: clamp(18px, 4vw, 23px);
        }
    }

    .separador{
        margin-right: 40%;
    }
/* #endregion */

/* #region ---------- Copyright Section ----------------------- */
    #copyright{
        height: 7vh;
        font-size: 12px;
    }
/* #endregion */
} 